#include <iostream>
#include <vector>
using namespace std;

int main() {

	int n;
	cin >> n;

	vector<int> a;
	vector<int> b;

	
	for (int i = 1; i <= (n + 1) / 2; i ++) {
		a.push_back(i);
		if (n % 2 != 0 && i != (n + 1) / 2 || n % 2 == 0) a.push_back(i + n);
		b.push_back(2 * n - i + 1);
		if (n % 2 != 0 && i != (n + 1) / 2 || n % 2 == 0) b.push_back(2 * n - a.back() + 1);
	}


	

	

	for (int i = 0; i < a.size(); i++)
		cout << a[i] << " ";
	cout << "\n";

	for (int i = 0; i < b.size(); i++)
		cout << b[i] << " ";
	cout << "\n";

	return 0;
}